org.apache.ignite.internal.processors.cache.distributed.dht.preloader

## Class GridDhtPartitionDemander

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.dht.preloader.GridDhtPartitionDemander

    public class GridDhtPartitionDemander
    extends Object

Thread pool for requesting partitions from other nodes and populating local cache.

### Nested Class Summary

Nested Classes
`static class` `GridDhtPartitionDemander.RebalanceFuture`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtPartitionDemander(CacheGroupContext grp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleSupplyMessage(int idx, UUID id, GridDhtPartitionSupplyMessage supply)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtPartitionDemander

    public GridDhtPartitionDemander(CacheGroupContext grp)

Parameters:
  `grp` - Ccahe group.

### Method Detail

#### handleSupplyMessage

    public void handleSupplyMessage(int idx,
                                    UUID id,
                                    GridDhtPartitionSupplyMessage supply)

Parameters:
  `idx` - Index.
  `id` - Node id.
  `supply` - Supply.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018